org.openstreetmap.josm.plugins.streetside

## Class StreetsidePlugin

- java.lang.Object
- - org.openstreetmap.josm.plugins.Plugin
  - - org.openstreetmap.josm.plugins.streetside.StreetsidePlugin

- All Implemented Interfaces:
    MapFrameListener

      public class StreetsidePlugin
      extends Plugin

  This is the main class of the Streetside plugin.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ImageProvider` | `LOGO`
    `private static StreetsideWalkAction` | `WALK_ACTION` Walk action
    `private static StreetsideZoomAction` | `ZOOM_ACTION` Zoom action

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsidePlugin(PluginInformation info)` Main constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapView` | `getMapView()`
    `PreferenceSetting` | `getPreferenceSetting()`
    `(package private) static StreetsideDataListener[]` | `getStreetsideDataListeners()`
    `static StreetsideWalkAction` | `getStreetsideWalkAction()`
    `void` | `mapFrameInitialized(MapFrame oldFrame, MapFrame newFrame)` Called when the JOSM map frame is created or destroyed.

    - ### Methods inherited from class org.openstreetmap.josm.plugins.Plugin

      `addDownloadSelection, copy, getPluginDir, getPluginDirs, getPluginInformation, getPluginResourceClassLoader, setPluginInformation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGO

          public static final ImageProvider LOGO

    - #### ZOOM_ACTION

          private static final StreetsideZoomAction ZOOM_ACTION

      Zoom action

    - #### WALK_ACTION

          private static final StreetsideWalkAction WALK_ACTION

      Walk action

  - ### Constructor Detail

    - #### StreetsidePlugin

          public StreetsidePlugin(PluginInformation info)

      Main constructor.
      Parameters:
        `info` - Required information of the plugin. Obtained from the jar file.

  - ### Method Detail

    - #### getStreetsideDataListeners

          static StreetsideDataListener[] getStreetsideDataListeners()

    - #### getStreetsideWalkAction

          public static StreetsideWalkAction getStreetsideWalkAction()

      Returns:
        the `StreetsideWalkAction` for the plugin

    - #### mapFrameInitialized

          public void mapFrameInitialized(MapFrame oldFrame,
                                          MapFrame newFrame)

      Called when the JOSM map frame is created or destroyed.
      Specified by:
        `mapFrameInitialized` in interface `MapFrameListener`
      Overrides:
        `mapFrameInitialized` in class `Plugin`

    - #### getPreferenceSetting

          public PreferenceSetting getPreferenceSetting()

      Overrides:
        `getPreferenceSetting` in class `Plugin`

    - #### getMapView

          public static MapView getMapView()

      Returns:
        the current `MapView` without throwing a `NullPointerException`

JOSM Plugins